View Issue Details

IDProjectCategoryView StatusLast Update
0026623mantisbtuipublic2020-03-15 15:23
ReporterKirill Assigned Todregad  
PrioritylowSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version2.23.0 
Target Version2.24.0Fixed in Version2.24.0 
Summary0026623: Generate token with empty name and APPLICATION ERROR #11
Description

When generate rest api token with empty name I get APPLICATION ERROR #11, and this correct. But I think that button with link to back with list rest api tokens will be useful.

TagsNo tags attached.

Activities

Kirill

Kirill

2020-01-24 08:01

reporter  

image.png (51,548 bytes)   
image.png (51,548 bytes)   
dregad

dregad

2020-01-24 10:45

developer   ~0063512

We can't easily put a back button on an error page, but it would be simple to make the field required. What do you think ?

dregad

dregad

2020-01-24 11:11

developer   ~0063513

PR https://github.com/mantisbt/mantisbt/pull/1616

Kirill

Kirill

2020-01-24 13:18

reporter   ~0063515

We can't easily put a back button on an error page, but it would be simple to make the field required

I like this idea.

PR https://github.com/mantisbt/mantisbt/pull/1616

Look good

Related Changesets

MantisBT: master dc699783

2020-01-24 11:06:11

dregad

Details Diff
API token input is now required

Add required attribute on the input, and asterisk in front of label.

Fixes 0026623
Affected Issues
0026623
mod - api_tokens_page.php Diff File

Issue History

Date Modified Username Field Change
2020-01-24 08:01 Kirill New Issue
2020-01-24 08:01 Kirill File Added: image.png
2020-01-24 10:45 dregad Assigned To => dregad
2020-01-24 10:45 dregad Status new => feedback
2020-01-24 10:45 dregad Note Added: 0063512
2020-01-24 11:11 dregad Status feedback => assigned
2020-01-24 11:11 dregad Note Added: 0063513
2020-01-24 13:18 Kirill Note Added: 0063515
2020-01-27 08:21 dregad Changeset attached => MantisBT master dc699783
2020-01-27 08:21 dregad Status assigned => resolved
2020-01-27 08:21 dregad Resolution open => fixed
2020-01-27 08:21 dregad Fixed in Version => 2.24.0
2020-01-27 08:35 atrol Target Version => 2.24.0
2020-03-15 15:23 vboctor Status resolved => closed